DOMElement::getElementsByTagNameNS
DOMElement::hasAttributeNS
DOMElement
PHP Manual

# DOMElement::hasAttribute

(PHP 5)

DOMElement::hasAttribute — Checks to see if attribute exists

### Description

public bool DOMElement::hasAttribute ( string `$name` )

Indicates whether attribute named `name` exists as a member of the element.

### Parameters

`name`

  The attribute name.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- DOMElement::hasAttributeNS() - Checks to see if attribute exists
- DOMElement::getAttribute() - Returns value of attribute
- DOMElement::setAttribute() - Adds new attribute
- DOMElement::removeAttribute() - Removes attribute

DOMElement::getElementsByTagNameNS
DOMElement::hasAttributeNS
DOMElement
PHP Manual